name: gallery

services:
  redis:
    container_name: gallery-redis
    image: redis:alpine
    stop_grace_period: 3s
    volumes:
      - redis_data:/data
  app:
    container_name: gallery-app-develop
    build: .
    environment:
      - REDIS_HOST=redis
      - DEBUG=1
    ports:
      - 8000:80
    develop:
      watch:
        - action: sync
          path: ./gallery
          target: /app/gallery

volumes:
  redis_data:
